Subject: RE: [External] : bug#52237: 29.0.50; [PATCH] Doubled separators in context-menu-mode

From: Drew Adams <[email-masked]>
Date: Thu, 2 Dec 2021 17:31:37 +0000

Why should any repetition of separators be removed
or ignored?

If someone codes that then they presumably want that.
Vanilla Emacs need not code such repetition.

Runtime "fixes" of such repetition should be a no-no.
If you don't want consecutive separators then don't
use them.  End of story.

If Emacs automatically ignores or removes separators
then that behavior is too clever by half, IMHO.

(Apologies, if I've misunderstood what this feature,
"`context-menu-map' tries to eliminate doubled
separators", is really about.  But if I've understood
correctly then I suggest this control is misguided.)